- Qt 6.4
- Qt Quick
- QML Types
- TableView
- Qt 6.4.3 Reference Documentation

# Obsolete Members for TableView

The following members of QML type TableView are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Methods

- Point cellAtPos(real x, real y, bool includeSpacing)`(deprecated)`
- Point cellAtPos(point position, bool includeSpacing)`(deprecated)`
- QModelIndex modelIndex(int column, int row)`(deprecated)`

## Method Documentation

Point cellAtPos(real x, real y, bool includeSpacing)

This method is deprecated. We strongly advise against using it in new code.

Use cellAtPosition(real x, real y) instead.

Point cellAtPos(point position, bool includeSpacing)

This method is deprecated. We strongly advise against using it in new code.

Use cellAtPosition(point position) instead.

`[since 6.4]` QModelIndex modelIndex(int column, int row)

This method is deprecated. We strongly advise against using it in new code.

Use index(row, column) instead.

Note: Because of an API incompatible change between Qt 6.4.0 and Qt 6.4.2, the order of `row` and `column` was specified in the opposite order. If you rely on the order to be `modelIndex(column, row)`, you can set the environment variable `QT_QUICK_TABLEVIEW_COMPAT_VERSION` to `6.4`

This method was introduced in Qt 6.4.